Module tdlight.api
Package it.tdlight.jni

# Class TdApi.UpdateActiveNotifications

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Update
it.tdlight.jni.TdApi.UpdateActiveNotifications

Enclosing class:
  TdApi

public static final class TdApi.UpdateActiveNotifications extends TdApi.Update
Contains active notifications that was shown on previous application launches. This update is sent only if the message database is used. In that case it comes once before any updateNotification and updateNotificationGroup update.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`TdApi.NotificationGroup[]`
`groups`
Lists of active notification groups.

## Constructor Summary

Constructors
Constructor
Description
`UpdateActiveNotifications()`
Contains active notifications that was shown on previous application launches.
`UpdateActiveNotifications(TdApi.NotificationGroup[] groups)`
Contains active notifications that was shown on previous application launches.
`UpdateActiveNotifications(DataInput input)`
Contains active notifications that was shown on previous application launches.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### groups

public TdApi.NotificationGroup[] groups
Lists of active notification groups.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### UpdateActiveNotifications

public UpdateActiveNotifications()
Contains active notifications that was shown on previous application launches. This update is sent only if the message database is used. In that case it comes once before any updateNotification and updateNotificationGroup update.

### UpdateActiveNotifications

public UpdateActiveNotifications(TdApi.NotificationGroup[] groups)
Contains active notifications that was shown on previous application launches. This update is sent only if the message database is used. In that case it comes once before any updateNotification and updateNotificationGroup update.

Parameters:
  `groups` - NotificationGroup[] Lists of active notification groups.

### UpdateActiveNotifications

public UpdateActiveNotifications(DataInput input) throws IOException
Contains active notifications that was shown on previous application launches. This update is sent only if the message database is used. In that case it comes once before any updateNotification and updateNotificationGroup update.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`